<!--
GUI for Google Analytics API v1.0

Copyright (c) 2009 Martin Panel (http://www.xorax.info)
licensed under the MIT License (www.opensource.org/licenses/mit-license.php)
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>GUI for Google Analytics API</title>
<link type='text/css' rel='stylesheet' href='style.css'/>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.1/jquery-ui.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {
  $.fn.appendVal = function(val, sep) {
    sep = sep || ', ';
    $(this).each(function(){
      if ($(this).val() == '') sep = '';
      val = $(this).val() + sep + val;
      $(this).val(val);
    })
  };
  
  $dropOptions = $('.options .droppable');
  $dropOptions.droppable({
    over: function () {
      $(this).css('backgroundColor', '#cef');
    },
    out: function () {
      $(this).css('backgroundColor', '#fff');
    },
    drop: function (event, ui) {
      $('input', this).appendVal(ui.draggable.text());
      $(this).css('backgroundColor', '#fff');
    }
  });
  
  $('.dimensions, .metrics').each(function() {
    var context = this;
    var input = $('input', this);
    $('.param', this).click(function() {
      if ($(this).is('.selected')) {
        var reg = new RegExp('(?:^|\\s*,)\\s*'+$(this).attr('title')+'\\s*','ig');
        input.val(input.val().replace(reg, ''));
      } else {
        input.appendVal($(this).attr('title'));
      }
      input.change();
    }).draggable({
      helper: 'clone',
      opacity: 0.7,
      start: function (event, ui) {
        $dropOptions.css('border', '1px solid #00A');
      },
      stop: function (event, ui) {
        $dropOptions.css('border', 'none');
      }
    });
    
    input.change(function(){
      $('.param', context).removeClass('selected');
      $.each($(this).val().split(','), function() {
        var name = $.trim(this);
        $('.param[title="'+name+'"]', context).addClass('selected');
      });
      $(this).val($(this).val()
        .replace(/(\s*,\s*)+/g, ', ')
        .replace(/^,/g, '')
      );
    });
    
    input.change();
  });
  
  $send = $('#send');
  $('#form-request').submit(function() {
    $send.attr('disabled', true);
    $send.val('Wait');
    $.get('response.php', $(this).serialize(), function(data) {
      $('#response').html(data);
      $send.val('Send');
      $send.removeAttr('disabled');
    });
    return false;
  });
});
</script>
</head>
<body>
<div id="request">
<?php include './request.php'; ?>
</div>
<div id="response" class="clear">
</div>
</body>
</html>