<?php

// http://framework.zend.com/download/latest
// set your Zend Framework Path :
set_include_path(dirname(__FILE__) . '/library' . PATH_SEPARATOR . get_include_path());

if (false === $h = @fopen('Zend/Loader.php', 'r', true)) {
  echo '<h2>Your Zend Framework path is probably not set. Change it in response.php</h2>';
} else {
  fclose($h);
}

require_once('Zend/Loader.php');
Zend_Loader::registerAutoload();

require ('./options.php');

try {
  $client = Zend_Gdata_ClientLogin::getHttpClient(@$_GET['username'], @$_GET['password'], "analytics");
  $client->setConfig(array('timeout' => 30));
  $gdata = new Zend_Gdata($client);
} catch (Zend_Gdata_App_Exception $e) {
  echo '<h1>Authentification failed</h1><br />'.$e->getMessage();
  exit;
}

$dimSelected = @$_GET['dimensions'];
$dimSelected = preg_replace('#[^\w,]+#', '', $dimSelected);
$dimSelected = preg_replace('#\w+#', 'ga:$0', $dimSelected);
$dimSelected = explode(',', $dimSelected);

$metricSelected = @$_GET['metrics'];
$metricSelected = preg_replace('#[^\w,()/*+-]+#', '', $metricSelected);
$metricSelected = preg_replace('#\w+#', 'ga:$0', $metricSelected);
$metricSelected = explode(',', $metricSelected);

$sort = @$_GET['sort'];
$sort = preg_replace('#[^\w,+-]+#', '', $sort);
$sort = preg_replace('#\w+#', 'ga:$0', $sort);
$sort = explode(',', $sort);

$maxResults = (int) @$_GET['max-results'];
$startIndex = (int) @$_GET['start-index'];
$startDate = @$_GET['start-date'];
$endDate = @$_GET['end-date'];

$uri = 'https://www.google.com/analytics/feeds/data';
$params = array_filter(array(
  'ids' => 'ga:'.$_GET['profile-id'],
  'max-results' => $maxResults,
  'start-index' => $startIndex,
  'start-date' => $startDate,
  'end-date' => $endDate,
  'prettyprint' => 'true',
  '' => '',
  'filters' => trim(@$_GET['filters']),
  'dimensions' => implode(',', $dimSelected),
  'metrics' => implode(',', $metricSelected),
  'sort' => implode(',', $sort),
));

try {
  $request = $uri.'?'.http_build_query($params);
  $query = new Zend_Gdata_Query($request);
  $entries = $gdata->getFeed($query);
  //$content = $entries->getHttpClient()->getLastResponse()->getBody();
} catch (Zend_Gdata_App_Exception $e) {
  echo '<h1>Error</h1><br />'.$e->getMessage();
  exit;
}
?>
<div>
<?php
$startIndex = (string) $entries->getStartIndex();
$itemsPerPage = (string) $entries->getItemsPerPage();
$totalResults = (string) $entries->getTotalResults();

if (0 < $startIndex - $itemsPerPage) {
  echo '<a href="javascript:$(\'#start-index\').val('. ($startIndex - $itemsPerPage) .'); $(\'#form-request\').submit()">[ &lt; ]</a> ';
}
  
echo $startIndex.' - '.($startIndex + $itemsPerPage).' / '.$totalResults;

if ( ($startIndex + $itemsPerPage) <= $totalResults) {
  echo ' <a href="#" onclick="javascript:$(\'#start-index\').val('. ($startIndex + $itemsPerPage) .'); $(\'#form-request\').submit()">[ &gt; ]</a>';
}
?>
</div>
<table class="clear results">
<tr>
<?php
foreach(array_merge($dimSelected,$metricSelected) as $c) {
   echo '<th>'.$c.'</th>';
}
?>
</tr>
<?php
$i = 0;
foreach ($entries as $entry) {
  echo '<tr>';
  foreach ($entry->extensionElements as $node) {
    echo '<td class="dimension n'.($i%2).'">'.$node->extensionAttributes["value"]["value"].'</td>';
  }
  $i++;
  echo '</tr>';
}
?>
</table>
<?php
exit;

//$titleRow = 1; foreach ($entries as $rep) { foreach ($rep->extensionElements as $elem) { $row[] = $elem->extensionAttributes["value"]["value"]; } echo implode(",", $row) . "\n"; }
//exit;

echo '<pre>'.htmlentities($content).'</pre>';
exit;
$content = @str_replace('dxp:','',$content);
$xml = @simplexml_load_string($content);
?>
<table class="clear results">
<tr>
<?php
foreach(array_merge($dimSelected,$metricSelected) as $c) {
   echo '<th>'.$c.'</th>';
}
?>
</tr>
<?php
$i = 0;
foreach ($xml->entry as $entry) {
  echo '<tr>';
  foreach ($entry->dimension as $dimension) {
    echo '<td class="dimension n'.($i%2).'">'.$dimension['value'].'</td>';
  }
  foreach ($entry->metric as $metric) {
    echo '<td class="metric n'.($i++%2).'">'.$metric['value'].'</td>';
  }
  echo '</tr>';
}
?>
</table>
